Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #903

Lyrics Plugin on Audacious 3.10.1 Windows URL needs to change.
September 20, 2019 21:07 - Anonymous

Status: Rejected Start date: September 20, 2019
Priority: Critical Due date:

Assignee: % Done: 0%

Category: plugins/lyricwiki Estimated time: 0.00 hour

Target version: 3.10.1

Affects version: 3.0.1

Description

Hello, | would like to report that the Lyrics Plugin on Audacious 3.10.1 (jilindgren build 20181226) needs some fixing.
As of right now, the URL (http://lyrics.wikia.com/api.php) has changed to https://lyrics.fandom.com/api.php

The LyricWiki Plugin shows an error because of it.

Error
Unable to fetch http:/lyrics.wikia.com/api.php?action=Ilyrics&artist=Dr.%20Alban&song=1t%275%20My%20L ife&fmt=xml

On Windows 10 the lyricwiki.dll located in
C:\Program Files (x86)\Audacious\lib\audacious\General
Needs the URL changed.

| know it redirects to it but I'm not sure if the plugin knows how to do it. | suspect it doesn't and is why the error shows.
Please fix it so the Plugin works again. Thanks.

History

#1 - September 22, 2019 13:35 - John Lindgren

- Status changed from New to Rejected

Duplicate of #888.

#2 - July 04, 2020 16:19 - Pieter Kroon

rejected? this essential for enjoying music
